From: Mikulas Patocka <mpatocka@redhat.com>

The last_percent field is unused - remove it.
(It dates from when events were triggered as each X% filled up.)

Signed-off-by: Mikulas Patocka <mpatocka@redhat.com>
Signed-off-by: Alasdair G Kergon <agk@redhat.com>
---
 drivers/md/dm-snap.c |    1 -
 drivers/md/dm-snap.h |    3 ---
 2 files changed, 4 deletions(-)

Index: linux-2.6.27/drivers/md/dm-snap.c
===================================================================
--- linux-2.6.27.orig/drivers/md/dm-snap.c	2008-10-21 17:33:37.000000000 +0100
+++ linux-2.6.27/drivers/md/dm-snap.c	2008-10-21 17:33:39.000000000 +0100
@@ -600,7 +600,6 @@ static int snapshot_ctr(struct dm_target
 
 	s->valid = 1;
 	s->active = 0;
-	s->last_percent = 0;
 	init_rwsem(&s->lock);
 	spin_lock_init(&s->pe_lock);
 	s->ti = ti;
Index: linux-2.6.27/drivers/md/dm-snap.h
===================================================================
--- linux-2.6.27.orig/drivers/md/dm-snap.h	2008-07-22 05:15:07.000000000 +0100
+++ linux-2.6.27/drivers/md/dm-snap.h	2008-10-21 17:33:39.000000000 +0100
@@ -158,9 +158,6 @@ struct dm_snapshot {
 	/* Used for display of table */
 	char type;
 
-	/* The last percentage we notified */
-	int last_percent;
-
 	mempool_t *pending_pool;
 
 	struct exception_table pending;
